diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPrintedUnitBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPrintedUnitBase.java
index a56c554e88..c00ea9ccf4 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPrintedUnitBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPrintedUnitBase.java
@@ -16,7 +16,7 @@ package eu.etaxonomy.cdm.model.reference;
  * In this case it is generally possible to distinguish authors, editors and
  * publishers. 
  */
-public interface IPrintedUnitBase extends IPublicationBase, ISectionBase, IVolumeReference {
+public interface IPrintedUnitBase extends IPublicationBase, ISection, IVolumeReference {
 
 	/**
 	 * Returns the print series of this printed unit
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPublicationBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPublicationBase.java
index 3735684713..7523eeb2e3 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPublicationBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IPublicationBase.java
@@ -9,6 +9,8 @@
 
 package eu.etaxonomy.cdm.model.reference;
 
+import eu.etaxonomy.cdm.common.DOI;
+
 /**
  * This base interface represents all different kind of published 
  * {@link IReference references} which constitute a physical 
@@ -51,5 +53,11 @@ public interface IPublicationBase extends IReference {
 	 */
 	public void setPublisher(String publisher, String placePublished);
 
+	/**
+	 * @return
+	 */
+	public DOI getDoi();
 
+	public void setDoi(DOI doi);
+	
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReference.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReference.java
index 0e8eec3150..61f9fd6e85 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReference.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/IReference.java
@@ -29,7 +29,7 @@ import eu.etaxonomy.cdm.strategy.merge.IMergable;
  * <li> Reference according to the ABCD schema
  * </ul>
  */
-public interface IReference extends IIdentifiableEntity, IParsable, IMergable, IMatchable{
+public interface IReference extends IIdentifiableEntity, IParsable, IMergable, IMatchable, Cloneable {
 
 	/**
 	 * Returns the reference type
@@ -64,11 +64,25 @@ public interface IReference extends IIdentifiableEntity, IParsable, IMergable, I
 	 */
 	public String getTitle();
 	
+	
+	/**
+	 * Returns the references title
+	 */
+	public String getAbbrevTitle();
+		
 	/**
 	 * Sets the references title
 	 * @param title
 	 */
 	public void setTitle(String title);
+
+	
+	/**
+	 * Sets the references abbreviated title
+	 * @param title
+	 */
+	public void setAbbrevTitle(String abbrevTitle);
+
 	
 	/**
 	 * Returns the date when the reference was published as a {@link TimePeriod}
@@ -120,5 +134,10 @@ public interface IReference extends IIdentifiableEntity, IParsable, IMergable, I
 	 */
 	void setCacheStrategy(IReferenceBaseCacheStrategy cacheStrategy);
 	
+	/**
+	 * @see Cloneable
+	 * @return
+	 */
+	public Object clone();
 
 }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ISection.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ISection.java
new file mode 100644
index 0000000000..6f496deec2
--- /dev/null
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ISection.java
@@ -0,0 +1,47 @@
+/**
+* Copyright (C) 2009 EDIT
+* European Distributed Institute of Taxonomy
+* http://www.e-taxonomy.eu
+*
+* The contents of this file are subject to the Mozilla Public License Version 1.1
+* See LICENSE.TXT at the top of this package for the full license terms.
+*/ 
+
+package eu.etaxonomy.cdm.model.reference;
+
+/**
+ * This  interface represents isolated sections (parts, chapters or
+ * papers) within a {@link IPrintedUnitBase printed unit}.
+ * <P>
+ * This class corresponds, according to the TDWG ontology, to the publication type
+ * term (from PublicationTypeTerm): "SubReference".
+ */
+public interface ISection extends IReference {
+	
+	/**
+	 * Returns the pages this reference covers in its in-reference.
+	 * E.g. if this reference is an article it may cover the pages
+	 * 34-45 in the according journal.
+	 */
+	public String getPages();
+	
+	/**
+	 * Sets the pages that this reference covers in its in-reference
+	 * @see #getPages()
+	 * @param pages
+	 */
+	public void setPages(String pages);
+	
+	/**
+	 * Returns the in-reference of this reference.
+	 * E.g. if this reference is a book section the according book is returned
+	 */
+	public Reference getInReference();
+	
+	/**
+	 * Sets the in-reference of this reference.
+	 * E.g. if this reference is a book section the according book is set via this
+	 * method.
+	 */
+	public void setInReference(Reference reference);
+}
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/Reference.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/Reference.java
index d3155ec9f3..cbffa0a59a 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/Reference.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/Reference.java
@@ -22,6 +22,7 @@ import javax.persistence.InheritanceType;
 import javax.persistence.Lob;
 import javax.persistence.ManyToOne;
 import javax.persistence.Transient;
+import javax.validation.constraints.NotNull;
 import javax.validation.constraints.Pattern;
 import javax.xml.bind.annotation.XmlAccessType;
 import javax.xml.bind.annotation.XmlAccessorType;
@@ -41,9 +42,13 @@ import org.hibernate.annotations.Type;
 import org.hibernate.envers.Audited;
 import org.hibernate.search.annotations.Analyze;
 import org.hibernate.search.annotations.Field;
+import org.hibernate.search.annotations.FieldBridge;
 import org.hibernate.search.annotations.IndexedEmbedded;
 import org.hibernate.validator.constraints.Length;
 
+import eu.etaxonomy.cdm.common.DOI;
+import eu.etaxonomy.cdm.hibernate.search.DoiBridge;
+import eu.etaxonomy.cdm.hibernate.search.UuidBridge;
 import eu.etaxonomy.cdm.model.agent.Institution;
 import eu.etaxonomy.cdm.model.agent.TeamOrPersonBase;
 import eu.etaxonomy.cdm.model.common.TimePeriod;
@@ -56,7 +61,7 @@ import eu.etaxonomy.cdm.strategy.cache.reference.GenericDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.INomenclaturalReferenceCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.IReferenceBaseCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.JournalDefaultCacheStrategy;
-import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceBaseDefaultCacheStrategy;
+import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.match.Match;
 import eu.etaxonomy.cdm.strategy.match.MatchMode;
 import eu.etaxonomy.cdm.strategy.merge.Merge;
@@ -77,17 +82,19 @@ import eu.etaxonomy.cdm.validation.annotation.ReferenceCheck;
  * </ul>
  *
  * @author m.doering
- * @version 1.0
  * @created 08-Nov-2007 13:06:47
  */
 @XmlAccessorType(XmlAccessType.FIELD)
 @XmlType(name = "Reference", propOrder = {
 	"type",
 	"uri",
+    "abbrevTitleCache",
+    "protectedAbbrevTitleCache",
 	"nomenclaturallyRelevant",
     "authorTeam",
     "referenceAbstract",
     "title",
+    "abbrevTitle",
     "editor",
 	"volume",
 	"pages",
@@ -95,6 +102,7 @@ import eu.etaxonomy.cdm.validation.annotation.ReferenceCheck;
     "edition",
     "isbn",
     "issn",
+    "doi",
     "seriesPart",
     "datePublished",
     "publisher",
@@ -103,24 +111,24 @@ import eu.etaxonomy.cdm.validation.annotation.ReferenceCheck;
     "school",
     "organization",
     "inReference"
-//    ,"fullReference",
-//    "abbreviatedReference"
 })
 @XmlRootElement(name = "Reference")
 @Entity
 @Inheritance(strategy=InheritanceType.SINGLE_TABLE)
 @Audited
-//@javax.persistence.Table(name="Reference")
 @Table(appliesTo="Reference", indexes = { @org.hibernate.annotations.Index(name = "ReferenceTitleCacheIndex", columnNames = { "titleCache" }) })
 @InReference(groups = Level2.class)
 @ReferenceCheck(groups = Level2.class)
-//public abstract class Reference<S extends IReferenceBaseCacheStrategy> extends IdentifiableMediaEntity<S> implements IParsable, IMergable, IMatchable, IArticle, IBook, IJournal, IBookSection,ICdDvd,IGeneric,IInProceedings, IProceedings, IPrintSeries, IReport, IThesis,IWebPage {
 public class Reference<S extends IReferenceBaseCacheStrategy> extends IdentifiableMediaEntity<S> implements INomenclaturalReference, IArticle, IBook, IPatent, IDatabase, IJournal, IBookSection,ICdDvd,IGeneric,IInProceedings, IProceedings, IPrintSeries, IReport, IThesis,IWebPage, IPersonalCommunication, IReference, Cloneable {
 	private static final long serialVersionUID = -2034764545042691295L;
 	private static final Logger logger = Logger.getLogger(Reference.class);
 
 	@XmlAttribute(name ="type")
 	@Column(name="refType")
+	@NotNull
+    @Type(type = "eu.etaxonomy.cdm.hibernate.EnumUserType",
+    	parameters = {@org.hibernate.annotations.Parameter(name  = "enumClass", value = "eu.etaxonomy.cdm.model.reference.ReferenceType")}
+    )
 	protected ReferenceType type;
 
 	//Title of the reference
@@ -131,8 +139,29 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 	@Match(MatchMode.EQUAL_REQUIRED)
     //TODO Val #3379
 //	@NullOrNotEmpty
-	@Length(max = 4096)
+	@Length(max = 4096)  //TODO is the length attribute really requried twice (see @Column)??
 	private String title;
+	
+	//Title of the reference
+	@XmlElement(name ="AbbrevTitle" )
+	@Field
+	@Match(MatchMode.EQUAL)  //TODO check if this is correct
+	@NullOrNotEmpty
+	@Length(max = 255)
+	private String abbrevTitle;
+	
+	//Title of the reference
+	@XmlElement(name ="AbbrevTitleCache" )
+	@Field
+	@Match(MatchMode.CACHE)
+    //TODO Val #3379
+//	@NotNull
+	@Length(max = 1024)
+	private String abbrevTitleCache;
+	
+	@XmlElement(name = "protectedAbbrevTitleCache")
+	@Merge(MergeMode.OR)
+	private boolean protectedAbbrevTitleCache;
 
 //********************************************************/
 
@@ -180,6 +209,14 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 	@Pattern(regexp = "(?=.{13}$)\\d{1,5}([- ])\\d{1,7}\\1\\d{1,6}\\1(\\d|X)$", groups = Level2.class, message = "{eu.etaxonomy.cdm.model.reference.Reference.isbn.message}")
 	protected String isbn;
 
+    @XmlElement(name = "Doi")
+    @Field
+    @FieldBridge(impl = DoiBridge.class)
+    @Type(type="doiUserType")
+    @Column(length=DOI.MAX_LENGTH)
+    protected DOI doi;
+
+
 	@XmlElement(name = "ISSN")
     @Field
     //TODO Val #3379
@@ -240,7 +277,7 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 //    @IndexedEmbedded
     @Cascade(CascadeType.SAVE_UPDATE)
    // @InReference(groups=Level2.class)
-   	protected Reference inReference;
+   	protected Reference<?> inReference;
 
 //    @XmlElement(name = "FullReference")
 //    @XmlIDREF
@@ -324,9 +361,7 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 	private boolean cacheStrategyRectified = false;
 
     protected Reference(){
-		super();
-		this.type = ReferenceType.Generic;
-		this.cacheStrategy =(S)this.type.getCacheStrategy();
+		this(ReferenceType.Generic);
 	}
 
 	protected Reference(ReferenceType type) {
@@ -336,11 +371,60 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 
 
 //*************************** GETTER / SETTER ******************************************/
+	
+
+	@Override
+	public String getAbbrevTitleCache() {
+		if (protectedAbbrevTitleCache){
+            return this.abbrevTitleCache;
+        }
+        // is title dirty, i.e. equal NULL?
+        if (abbrevTitleCache == null){
+            this.abbrevTitleCache = generateAbbrevTitle();
+            this.abbrevTitleCache = getTruncatedCache(this.abbrevTitleCache) ;
+        }
+        return abbrevTitleCache;	
+	}
+
+	@Override
+	@Deprecated
+	public void setAbbrevTitleCache(String abbrevTitleCache) {
+		this.abbrevTitleCache = abbrevTitleCache;
+	}
+	
+	@Override
+	public void setAbbrevTitleCache(String abbrevTitleCache, boolean isProtected) {
+		this.protectedAbbrevTitleCache = isProtected;	
+		setAbbrevTitleCache(abbrevTitleCache);
+	}
+	
+	@Override
+	public boolean isProtectedAbbrevTitleCache() {
+		return protectedAbbrevTitleCache;
+	}
+
+	@Override
+	public void setProtectedAbbrevTitleCache(boolean protectedAbbrevTitleCache) {
+		this.protectedAbbrevTitleCache = protectedAbbrevTitleCache;
+	}
+
+	@Override
+	public String getAbbrevTitle() {
+		return abbrevTitle;
+	}
+
+	@Override
+	public void setAbbrevTitle(String abbrevTitle) {
+		this.abbrevTitle = abbrevTitle;
+	}
+	
+
 	@Override
     public String getEditor() {
 		return editor;
 	}
 
+
 	@Override
     public void setEditor(String editor) {
 		this.editor = editor;
@@ -405,6 +489,16 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
     public void setIssn(String issn) {
 		this.issn = issn;
 	}
+	
+    @Override
+	public DOI getDoi() {
+		return doi;
+	}
+
+    @Override
+	public void setDoi(DOI doi) {
+		this.doi = doi;
+	}
 
 	@Override
     public String getSeriesPart() {
@@ -789,6 +883,11 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 		rectifyCacheStrategy();
 		return super.generateTitle();
 	}
+	
+    public String generateAbbrevTitle() {
+		rectifyCacheStrategy();
+		return this.cacheStrategy.getAbbrevTitleCache(this);
+	}
 
 	/**
 	 * Returns a string representation for the year of publication / creation
@@ -1174,7 +1273,7 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 		this.cacheStrategy = (S) cacheStrategy;
 	}
 
-	public void setCacheStrategy(ReferenceBaseDefaultCacheStrategy cacheStrategy) {
+	public void setCacheStrategy(ReferenceDefaultCacheStrategy cacheStrategy) {
 		this.cacheStrategy = (S)cacheStrategy;
 
 	}
@@ -1204,5 +1303,6 @@ public class Reference<S extends IReferenceBaseCacheStrategy> extends Identifiab
 		}
 	}
 
+
 }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceFactory.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceFactory.java
index dce8599392..e3c39769f9 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceFactory.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/reference/ReferenceFactory.java
@@ -19,7 +19,7 @@ import eu.etaxonomy.cdm.strategy.cache.reference.BookSectionDefaultCacheStrategy
 import eu.etaxonomy.cdm.strategy.cache.reference.CdDvdDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.GenericDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.JournalDefaultCacheStrategy;
-import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceBaseDefaultCacheStrategy;
+import eu.etaxonomy.cdm.strategy.cache.reference.ReferenceDefaultCacheStrategy;
 import eu.etaxonomy.cdm.strategy.cache.reference.ThesisDefaultCacheStrategy;
 
 public class ReferenceFactory {
@@ -50,13 +50,13 @@ public class ReferenceFactory {
 	}
 	
 	public static Reference newInProceedings(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> inProceedings = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.InProceedings);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> inProceedings = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.InProceedings);
 		inProceedings.setCacheStrategy(ReferenceType.InProceedings.getCacheStrategy());
 		return inProceedings;
 	}
 	
 	public static Reference newProceedings(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> proceedings = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.Proceedings);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> proceedings = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.Proceedings);
 		proceedings.setCacheStrategy(ReferenceType.Proceedings.getCacheStrategy());
 		return proceedings;
 	}
@@ -80,27 +80,27 @@ public class ReferenceFactory {
 	}
 	
 	public static Reference newMap(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> map = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.Map);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> map = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.Map);
 		map.setCacheStrategy(ReferenceType.Map.getCacheStrategy());
 		return map;
 		
 	}
 	
 	public static Reference newReport(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> report = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.Report);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> report = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.Report);
 		report.setCacheStrategy(ReferenceType.Report.getCacheStrategy());
 		return report;
 		
 	}
 	
 	public static Reference newWebPage(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> webPage = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.WebPage);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> webPage = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.WebPage);
 		webPage.setCacheStrategy(ReferenceType.WebPage.getCacheStrategy());
 		return webPage;
 	}
 	
 	public static Reference newDatabase(){
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> db = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.Database);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> db = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.Database);
 		db.setCacheStrategy(ReferenceType.Database.getCacheStrategy());
 		return db;
 	}
@@ -110,7 +110,7 @@ public class ReferenceFactory {
 	 * Creates a new empty print series instance.
 	 */
 	public static Reference newPrintSeries() {
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> refBase = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.PrintSeries);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> refBase = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.PrintSeries);
 		refBase.setCacheStrategy(ReferenceType.PrintSeries.getCacheStrategy());
 		return refBase;
 	}
@@ -119,7 +119,7 @@ public class ReferenceFactory {
 	 * Creates a new print series instance with a given title string.
 	 */
 	public static Reference newPrintSeries(String series) {
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> refBase = newPrintSeries();
+		Reference<ReferenceDefaultCacheStrategy<Reference>> refBase = newPrintSeries();
 		refBase.setCacheStrategy(ReferenceType.PrintSeries.getCacheStrategy());
 		return refBase;
 	}
@@ -195,13 +195,13 @@ public class ReferenceFactory {
 	}
 
 	public static Reference newPersonalCommunication() {
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> personalCommunication = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.PersonalCommunication);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> personalCommunication = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.PersonalCommunication);
 		personalCommunication.setCacheStrategy(ReferenceType.PersonalCommunication.getCacheStrategy());
 		return personalCommunication;
 	}
 
 	public static Reference newPatent() {
-		Reference<ReferenceBaseDefaultCacheStrategy<Reference>> patent = new Reference<ReferenceBaseDefaultCacheStrategy<Reference>>(ReferenceType.Patent);
+		Reference<ReferenceDefaultCacheStrategy<Reference>> patent = new Reference<ReferenceDefaultCacheStrategy<Reference>>(ReferenceType.Patent);
 		patent.setCacheStrategy(ReferenceType.Patent.getCacheStrategy());
 		return patent;
 	}
